/* GENERIC SLIDER */
.mobile-slider-view {
    width: 100%;
}
/* Slider wrapper */
.generic-slider-wrapper {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.generic-slider {
    display: flex;
    width: 100%;
    height: 200px;
    gap: 16px;
    /*transition: transform 0.5s ease-in-out;*/
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
    user-select: none;
}

.generic-slider::-webkit-scrollbar {
    display: none;
}

/* Navigation dots */
.generic-slider-navigation {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 15px;
    gap: 8px;
    margin-top: 12px;
}

.generic-slider-navigation button {
    border-radius: 50px;
    border: none;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

/* Active button */
.generic-slider-navigation button.active {
    background: #000000;
    width: 12px;
    height: 12px;
}

/* Adjacent buttons */
.generic-slider-navigation button.adjacent {
    background: #cccccc;
    width: 7px;
    height: 7px;
}

/* Distant buttons */
.generic-slider-navigation button.distant {
    background: #cccccc;
    width: 4px;
    height: 4px;
}

/* Hidden buttons */
.generic-slider-navigation button.hidden {
    display: none;
}